Skip to main content
PATCH
/
v1
/
collections
/
{id}
/
products
/
{productId}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update product position in collection
const collection = await solifyn.collections.updateProductPosition('col_019e56a1...', 'prod_019e56a1...', {
  position: 2
});
console.log('Product Position Updated:', collection);
{
  "message": "Product updated successfully"
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Collection ID

Example:

"col_123"

productId
string
required

Product ID

Example:

"prod_123"

Body

application/json
quantity
number
required

New quantity of this product in the collection.

Required range: x >= 1
Example:

2

Response

200 - application/json

Collection product quantity updated.

message
string
required

Response message indicating the outcome of the action.

Example:

"Product updated successfully"